{% extends 'base.html' %}
{% block title %}Post Job{% endblock title %}
{% block content %}
	
	<div class="jumbotron">
		<h1 class="text-center"><strong><i>Post a New Job</i></strong></h1>
		<form class="form-group" action="{% url 'job_edit' old_job.id %}" method="post"> {% csrf_token %}
			<!-- 
				Hidden Input:
				1. Company Name
				2. Company Email
			-->
			<input type="hidden" name="cname" value="{{ profile.companyName }}">
			<input type="hidden" name="cmail" value="{{ profile.companyEmail }}">

			<div class="rows">
				<div class="col-sm-12">
					<label>Job Title :</label>
					<input class="form-control" type="text" id="job-title" name="title" value="{{ old_job.jobTitle }}" >
				</div>
			</div>

			<div class="rows" style="padding-top: 2%">
				<div class="col-sm-6">
					<label>Job Type :</label>
					<select class="form-control" name="type">
						<option>{{ old_job.jobType }}</option>
						{% for item in jobtype %}
							<option>{{ item.typeName }}</option>
						{% endfor %}
					</select>
				</div>
				<div class="col-sm-6">
					<label>Job Category :</label>
					<select class="form-control" name="category">
						<option>{{ old_job.jobCategory }}</option>
						{% for item in category %}
							<option>{{ item.categoryName }}</option>
						{% endfor %}
					</select>
				</div>
			</div>

			<div class="rows" style="padding-top: 2%">
				<div class="col-sm-6">
					<label>Job Salary :</label>
					<select class="form-control" name="salary">
						<option>{{ old_job.jobSalary }}</option>
						{% for item in salary %}
							<option>{{ item.salaryRange }}</option>
						{% endfor %}
					</select>
				</div>
				<div class="col-sm-6">
					<label>Job Location :</label>
					<select class="form-control" name="location">
						<option>{{ old_job.jobLocation }}</option>
						{% for item in location %}
							<option>{{ item.locationName }}</option>
						{% endfor %}
					</select>
				</div>
			</div>

			<div class="rows" style="padding-top: 2%">
				<div class="col-sm-6">
					<label>Job Length :</label>
					<select class="form-control" name="role">
						<option>{{ old_job.jobRole }}</option>
						{% for item in role %}
							<option>{{ item.roleName }}</option>
						{% endfor %}
					</select>
				</div>
				<div class="col-sm-6">
					<label>Deadline :</label>
					<input class="form-control" type="date" name="date" value="{{ old_job.applyDeadline }}">
					{{ old_job.applyDeadline }}
				</div>
			</div>

			<div class="rows" style="padding-top: 2%">
				<div class="col-sm-12">
					<label><br />Job Descriptions :</label>
                    <textarea class="form-control" id="description" name="description" >{{ old_job.jobDescription }}</textarea>
				</div>
			</div>

			<br /><br />

			<div class="row">
                <div class="col-sm-12">
                <br>
                <button class="btn btn-lg btn-success" type="submit"><i class="glyphicon glyphicon-ok-sign"></i> Save</button>
                <button class="btn btn-lg btn-warning" type="reset"><i class="glyphicon glyphicon-repeat"></i> Reset</button>
                </div>
            </div>
			
		</form>
	</div>

	<script src="/static/js/ckeditor/ckeditor.js"></script>
    
    <script type="text/javascript">
        CKEDITOR.replace( 'description' );
    </script>

{% endblock content %}